Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 386765 - app-admin/ulogd-2.0.0_beta4 init script should change opts variable to use either extra_commands or extra_started_commands
Summary: app-admin/ulogd-2.0.0_beta4 init script should change opts variable to use ei...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal trivial (vote)
Assignee: Wormo (RETIRED)
URL: http://sources.gentoo.org/cgi-bin/vie...
Whiteboard:
Keywords:
Depends on:
Blocks: init.d-depr-opts
  Show dependency tree
 
Reported: 2011-10-11 10:03 UTC by Martin von Gagern
Modified: 2012-01-01 01:01 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to stop using deprecated variables, and to use s-s-d for reload (ulogd-init.patch,570 bytes, patch)
2011-11-17 17:02 UTC, Michael Palimaka (kensington)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin von Gagern 2011-10-11 10:03:08 UTC
The app-admin/ulogd-2.0.0_beta4 init script uses variables deprecated by
sys-apps/openrc-0.9.x. See bug #381895 for details.

# grep ^opts= /etc/init.d/ulogd 
opts="reload"
Comment 1 Michael Palimaka (kensington) gentoo-dev 2011-11-17 17:02:58 UTC
Created attachment 292921 [details, diff]
Patch to stop using deprecated variables, and to use s-s-d for reload
Comment 2 Christian Ruppert (idl0r) archtester Gentoo Infrastructure gentoo-dev Security 2012-01-01 01:01:29 UTC
This has been fixed already by swegener. Thanks!

@swegener: Please close the bugs next time :P